Package org.springframework.batch.core.listener

# Enum Class JobListenerMetaData

java.lang.Object
java.lang.Enum<JobListenerMetaData>
org.springframework.batch.core.listener.JobListenerMetaData

All Implemented Interfaces:
  `Serializable`, `Comparable<JobListenerMetaData>`, `Constable`, `ListenerMetaData`

public enum JobListenerMetaData extends Enum<JobListenerMetaData> implements ListenerMetaData
Enumeration for `JobExecutionListener` meta data, which ties together the names of methods, their interfaces, annotation, and expected arguments.

Since:
  2.0
Author:
  Lucas Ward, Mahmoud Ben Hassine
See Also:
  - `JobListenerFactoryBean`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AFTER_JOB`
  `BEFORE_JOB`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JobListenerMetaData`
  `fromPropertyName(String propertyName)`
  Return the relevant meta data for the provided property name.
  `Class<? extends Annotation>`
  `getAnnotation()`
  `Class<?>`
  `getListenerInterface()`
  `String`
  `getMethodName()`
  `Class<?>[]`
  `getParamTypes()`
  `String`
  `getPropertyName()`
  `static JobListenerMetaData`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JobListenerMetaData[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BEFORE_JOB

    public static final JobListenerMetaData BEFORE_JOB

  - ### AFTER_JOB

    public static final JobListenerMetaData AFTER_JOB

- ## Method Details

  - ### values

    public static JobListenerMetaData[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static JobListenerMetaData valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getMethodName

    public String getMethodName()
    Specified by:
      `getMethodName` in interface `ListenerMetaData`

  - ### getAnnotation

    public Class<? extends Annotation> getAnnotation()
    Specified by:
      `getAnnotation` in interface `ListenerMetaData`

  - ### getListenerInterface

    public Class<?> getListenerInterface()
    Specified by:
      `getListenerInterface` in interface `ListenerMetaData`

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `ListenerMetaData`

  - ### getParamTypes

    public Class<?>[] getParamTypes()
    Specified by:
      `getParamTypes` in interface `ListenerMetaData`

  - ### fromPropertyName

    @Nullable public static JobListenerMetaData fromPropertyName(String propertyName)
    Return the relevant meta data for the provided property name.
    Parameters:
      `propertyName` - name of the property to retrieve.
    Returns:
      meta data with supplied property name, `null` if none exists.